glibmm 2.56.0

Public Member Functions | List of all members
Glib::RWLock::WriterLock Class Reference

Utility class for exception-safe locking of read/write locks. More...

`#include <glibmm/thread.h>`

## Public Member Functions
| WriterLock (RWLock& rwlock)
| WriterLock (RWLock& rwlock, NotLock)
| WriterLock (RWLock& rwlock, TryLock)
| WriterLock (const RWLock::WriterLock&)=delete
RWLock::WriterLock& | operator= (const RWLock::WriterLock&)=delete
| ~WriterLock ()
void | acquire ()
bool | try_acquire ()
void | release ()
bool | locked () const

## Detailed Description

Utility class for exception-safe locking of read/write locks.

Deprecated:
  Use Glib::Threads::RWLock::WriterLock instead.

## Constructor & Destructor Documentation

## ◆ WriterLock() [1/4]

Glib::RWLock::WriterLock::WriterLock | ( | RWLock& | rwlock | ) |
| inline explicit

## ◆ WriterLock() [2/4]

Glib::RWLock::WriterLock::WriterLock | ( | RWLock& | rwlock,
|  | NotLock |
| ) |  |
| inline

## ◆ WriterLock() [3/4]

Glib::RWLock::WriterLock::WriterLock | ( | RWLock& | rwlock,
|  | TryLock |
| ) |  |
| inline

## ◆ WriterLock() [4/4]

Glib::RWLock::WriterLock::WriterLock | ( | const RWLock::WriterLock& |  | ) |
| delete

## ◆ ~WriterLock()

Glib::RWLock::WriterLock::~WriterLock | ( |  | ) |
| inline

## Member Function Documentation

## ◆ acquire()

void Glib::RWLock::WriterLock::acquire | ( |  | ) |
| inline

## ◆ locked()

bool Glib::RWLock::WriterLock::locked | ( |  | ) | const
| inline

## ◆ operator=()

RWLock::WriterLock& Glib::RWLock::WriterLock::operator= | ( | const RWLock::WriterLock& |  | ) |
| delete

## ◆ release()

void Glib::RWLock::WriterLock::release | ( |  | ) |
| inline

## ◆ try_acquire()

bool Glib::RWLock::WriterLock::try_acquire | ( |  | ) |
| inline